Organization
Users and User Groups
Permissions
Data Source
Workspaces
Logical Data Model
Analytical Objects
Reporting
Export & Automations
AI Lake
AI Assistant
Agents
    Agents
      Get SkillsgetList available agentsgetGet all Agent entitiesgetPost Agent entitiespostGet Agent entitygetPut Agent entityputDelete Agent entitydeletePatch Agent entitypatch
Other
Schemas
powered by Zudoku
OpenAPI definition

Agents

Endpoint:/

Get Skills

GET
/api/v1/ai/agent/skills

Get Skills › Responses

Successful Response

  • descriptionstring · required
  • examplesstring[] · required
  • namestring · required
  • tagsstring[] · required
  • titlestring · required
GET /api/v1/ai/agent/skills

List available agents

GET
/api/v1/ai/workspaces/{workspace_id}/agents

List agents the user can use in this workspace, sorted A-Z.

This is the personalized "usable here" view for the agent switcher -- access-filtered to the user, enabled, non-preview, with per-agent lastUsedAt. For agent CRUD/management use the metadata entity endpoint GET /api/v1/entities/agents instead.

List available agents › path Parameters

  • workspace_idstring · required

List available agents › Responses

Successful Response

  • agentsobject[] · required
GET /api/v1/ai/workspaces/{workspace_id}/agents

Get all Agent entities

GET
/api/v1/entities/agents

Get all Agent entities › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    userGroups
    createdBy
    modifiedBy
    ALL
  • pageinteger

    Zero-based page index (0..N)

    Default: 0
  • sizeinteger

    The size of the page to be returned

    Default: 20
  • sortstring[]

    Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    page
    all
    ALL

Get all Agent entities › Responses

Request successfully processed

  • dataobject[] · unique · required
  • includedarray · unique

    Included resources

  • linksobject
  • metaobject
GET /api/v1/entities/agents

Post Agent entities

POST
/api/v1/entities/agents

AI Agent - behavior configuration for AI assistants

Post Agent entities › query Parameters

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    userGroups
    createdBy
    modifiedBy
    ALL

Post Agent entities › Request Body

  • dataobject · required

    JSON:API representation of agent entity.

Post Agent entities › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of agent entity.

  • includedarray · unique

    Included resources

  • linksobject
POST /api/v1/entities/agents

Get Agent entity

GET
/api/v1/entities/agents/{id}

Get Agent entity › path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

Get Agent entity › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    userGroups
    createdBy
    modifiedBy
    ALL

Get Agent entity › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of agent entity.

  • includedarray · unique

    Included resources

  • linksobject
GET /api/v1/entities/agents/{id}

Put Agent entity

PUT
/api/v1/entities/agents/{id}

Put Agent entity › path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

Put Agent entity › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    userGroups
    createdBy
    modifiedBy
    ALL

Put Agent entity › Request Body

  • dataobject · required

    JSON:API representation of agent entity.

Put Agent entity › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of agent entity.

  • includedarray · unique

    Included resources

  • linksobject
PUT /api/v1/entities/agents/{id}

Delete Agent entity

DELETE
/api/v1/entities/agents/{id}

Delete Agent entity › path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

Delete Agent entity › Responses

Successfully deleted

No data returned
DELETE /api/v1/entities/agents/{id}

Patch Agent entity

PATCH
/api/v1/entities/agents/{id}

Patch Agent entity › path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

Patch Agent entity › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    userGroups
    createdBy
    modifiedBy
    ALL

Patch Agent entity › Request Body

  • dataobject · required

    JSON:API representation of patching agent entity.

Patch Agent entity › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of agent entity.

  • includedarray · unique

    Included resources

  • linksobject
PATCH /api/v1/entities/agents/{id}

ObservabilityOther